LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XImportable Interface Referencepublished

makes it possible to import files into the object. More...

`import"XImportable.idl";`

Inheritance diagram for XImportable:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | createImportDescriptor ([in] boolean bEmpty)
void | doImport ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| imports data from an external database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to import files into the object.

## Member Function Documentation

## ◆ createImportDescriptor()

sequence< com::sun::star::beans::PropertyValue > createImportDescriptor | ( | [in] boolean | bEmpty | ) |

Returns
  a descriptor which contains the arguments for an import.

## ◆ doImport()

void doImport | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aDescriptor | ) |

imports data from an external database.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XImportable.idl